2014-11-24 04:07 EST

View Issue Details Jump to Notes ] Wiki ]
IDProjectCategoryView StatusLast Update
0013900mantisbtapi soappublic2013-04-06 08:12
Reporterrombert 
Assigned Torombert 
PrioritynormalSeveritytextReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target Version1.2.12Fixed in Version1.2.12 
Summary0013900: Improve documentation for mc_project_get_issues and similar
DescriptionAccording to a discussion on the mailing list:

If you check filter_get_bug_rows() in mantisbt/core/filter_api.php (v1.2.8), it is mentioned in the comment that you can pass -1 to retrieve all the issues in a single page. So I did the following call and it was successful:

mc_project_get_issues($this->bt_user, $this->bt_password , $this->bt_project, 1, -1);

It would be nice if the comments from the original api is copied to soap-api.
TagsNo tags attached.
Attached Files

- Relationships
related to 0015721closedgrangeway Functionality to consider porting to master-2.0.x 
+ Relationships

-  Notes
User avatar

~0036147

grangeway (reporter)

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch
+  Notes

- Issue History
Date Modified Username Field Change
2012-02-16 03:13 rombert New Issue
2012-03-04 09:23 atrol Target Version 1.2.9 => 1.2.10
2012-04-02 02:33 atrol Target Version 1.2.10 => 1.2.11
2012-06-06 23:54 jreese Target Version 1.2.11 => 1.2.12
2012-06-13 16:47 rombert Assigned To => rombert
2012-06-13 16:47 rombert Status confirmed => resolved
2012-06-13 16:47 rombert Resolution open => fixed
2012-06-13 16:47 rombert Fixed in Version => 1.2.12
2012-11-10 18:54 dregad Status resolved => closed
2013-04-05 17:56 grangeway Status closed => acknowledged
2013-04-05 17:56 grangeway Note Added: 0036147
2013-04-05 19:27 grangeway Relationship added related to 0015721
2013-04-06 03:40 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 08:12 grangeway Status acknowledged => closed
+ Issue History